<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class tipo_de_fianza

    {

        public function insert_tipo_de_fianza($Id_Fk_Afianzadora, $Nombre_Afianzadora, $Prima_Minima, $Id_Fk_Subramo_Fianza, $Subramo, $Tipo_De_Fianza, $Tarifa, $Gastos_De_Expedicion, $Gastos_De_Consulta_Buro_Credito)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO tipo_de_fianza(Id_Fk_Afianzadora, Nombre_Afianzadora, Prima_Minima, Id_Fk_Subramo_Fianza, Subramo, Tipo_De_Fianza, Tarifa, Gastos_De_Expedicion, Gastos_De_Consulta_Buro_Credito) VALUES ('$Id_Fk_Afianzadora', '$Nombre_Afianzadora', '$Prima_Minima', '$Id_Fk_Subramo_Fianza', '$Subramo', '$Tipo_De_Fianza', '$Tarifa', '$Gastos_De_Expedicion', '$Gastos_De_Consulta_Buro_Credito') ";

            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            $_Tabla='tipo_de_fianza';

            $_Evento_Log='registrar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $whatsmyid;

        }



        public function get_tipo_de_fianza($_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Tipo_De_Fianza DESC";

                $consulta="SELECT count(*) as numregis FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM tipo_de_fianza ORDER BY Id_Tipo_De_Fianza DESC";

                $consulta="SELECT count(*) as numregis FROM tipo_de_fianza";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_tipo_de_fianzapg($inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk ORDER BY Id_Tipo_De_Fianza DESC";

            }else{

                $consulta="SELECT * FROM tipo_de_fianza ORDER BY Id_Tipo_De_Fianza DESC";

            }

            

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_tipo_de_fianza($Id_Tipo_De_Fianza, $Id_Fk_Afianzadora, $Nombre_Afianzadora, $Prima_Minima, $Id_Fk_Subramo_Fianza, $Subramo, $Tipo_De_Fianza, $Tarifa, $Gastos_De_Expedicion, $Gastos_De_Consulta_Buro_Credito)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE tipo_de_fianza SET Id_Tipo_De_Fianza='$Id_Tipo_De_Fianza', Id_Fk_Afianzadora='$Id_Fk_Afianzadora', Nombre_Afianzadora='$Nombre_Afianzadora', Prima_Minima='$Prima_Minima', Id_Fk_Subramo_Fianza='$Id_Fk_Subramo_Fianza', Subramo='$Subramo', Tipo_De_Fianza='$Tipo_De_Fianza', Tarifa='$Tarifa', Gastos_De_Expedicion='$Gastos_De_Expedicion', Gastos_De_Consulta_Buro_Credito='$Gastos_De_Consulta_Buro_Credito' WHERE Id_Tipo_De_Fianza = '$Id_Tipo_De_Fianza'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='tipo_de_fianza';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        public function delete_tipo_de_fianza($Id_Tipo_De_Fianza)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="DELETE FROM tipo_de_fianza WHERE Id_Tipo_De_Fianza='$Id_Tipo_De_Fianza'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='tipo_de_fianza';

            $_Evento_Log='eliminar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;

        }



        //Funciones adicionales.

        public function getorderby_tipo_de_fianza($Nombre,$Orderby,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                //$consulta="SELECT *,  count(*) as numregis FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk";

            }else{

                //$consulta="SELECT *,  count(*) as numregis FROM tipo_de_fianza ORDER BY $Nombre $Orderby";

                $consulta="SELECT count(*) as numregis FROM tipo_de_fianza";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_tipo_de_fianzapg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk ORDER BY $Nombre $Orderby";

            }else{

                $consulta="SELECT * FROM tipo_de_fianza ORDER BY $Nombre $Orderby";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_tipo_de_fianza($Id_Tipo_De_Fianza)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM tipo_de_fianza WHERE Id_Tipo_De_Fianza='$Id_Tipo_De_Fianza'";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_tipo_de_fianza_paginador_frm()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM tipo_de_fianza";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_tipo_de_fianza($Buscar,$_Clausula_Fk,$_IdFk)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT *, count(*) as numregis FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk AND (Id_Tipo_De_Fianza LIKE '%$Buscar%' || Id_Fk_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Prima_Minima LIKE '%$Buscar%' || Id_Fk_Subramo_Fianza LIKE '%$Buscar%' || Subramo LIKE '%$Buscar%' || Tipo_De_Fianza LIKE '%$Buscar%' || Tarifa LIKE '%$Buscar%' || Gastos_De_Expedicion LIKE '%$Buscar%' || Gastos_De_Consulta_Buro_Credito LIKE '%$Buscar%') ORDER BY Id_Tipo_De_Fianza DESC";

                $consulta="SELECT count(*) as numregis FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk AND (Id_Tipo_De_Fianza LIKE '%$Buscar%' || Id_Fk_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Prima_Minima LIKE '%$Buscar%' || Id_Fk_Subramo_Fianza LIKE '%$Buscar%' || Subramo LIKE '%$Buscar%' || Tipo_De_Fianza LIKE '%$Buscar%' || Tarifa LIKE '%$Buscar%' || Gastos_De_Expedicion LIKE '%$Buscar%' || Gastos_De_Consulta_Buro_Credito LIKE '%$Buscar%')";

            }else{

                //$consulta="SELECT *, count(*) as numregis FROM tipo_de_fianza WHERE Id_Tipo_De_Fianza LIKE '%$Buscar%' || Id_Fk_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Prima_Minima LIKE '%$Buscar%' || Id_Fk_Subramo_Fianza LIKE '%$Buscar%' || Subramo LIKE '%$Buscar%' || Tipo_De_Fianza LIKE '%$Buscar%' || Tarifa LIKE '%$Buscar%' || Gastos_De_Expedicion LIKE '%$Buscar%' || Gastos_De_Consulta_Buro_Credito LIKE '%$Buscar%' ORDER BY Id_Tipo_De_Fianza DESC";

                $consulta="SELECT count(*) as numregis FROM tipo_de_fianza WHERE Id_Tipo_De_Fianza LIKE '%$Buscar%' || Id_Fk_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Prima_Minima LIKE '%$Buscar%' || Id_Fk_Subramo_Fianza LIKE '%$Buscar%' || Subramo LIKE '%$Buscar%' || Tipo_De_Fianza LIKE '%$Buscar%' || Tarifa LIKE '%$Buscar%' || Gastos_De_Expedicion LIKE '%$Buscar%' || Gastos_De_Consulta_Buro_Credito LIKE '%$Buscar%'";  

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            $_Tabla='tipo_de_fianza';

            $_Evento_Log='busco:'.$Buscar;

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_consultas($_Tabla,$_Evento_Log,$_Consulta);

            return $Array_adapter;

        }



        public function search_tipo_de_fianzapg($Buscar,$inicio,$TAMANO_PAGINA,$_Clausula_Fk,$_IdFk)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($_Clausula_Fk!='' && $_IdFk!=''){

                $consulta="SELECT * FROM tipo_de_fianza WHERE $_Clausula_Fk=$_IdFk AND (Id_Tipo_De_Fianza LIKE '%$Buscar%' || Id_Fk_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Prima_Minima LIKE '%$Buscar%' || Id_Fk_Subramo_Fianza LIKE '%$Buscar%' || Subramo LIKE '%$Buscar%' || Tipo_De_Fianza LIKE '%$Buscar%' || Tarifa LIKE '%$Buscar%' || Gastos_De_Expedicion LIKE '%$Buscar%' || Gastos_De_Consulta_Buro_Credito LIKE '%$Buscar%') ORDER BY Id_Tipo_De_Fianza DESC";

            }else{

                $consulta="SELECT * FROM tipo_de_fianza WHERE Id_Tipo_De_Fianza LIKE '%$Buscar%' || Id_Fk_Afianzadora LIKE '%$Buscar%' || Nombre_Afianzadora LIKE '%$Buscar%' || Prima_Minima LIKE '%$Buscar%' || Id_Fk_Subramo_Fianza LIKE '%$Buscar%' || Subramo LIKE '%$Buscar%' || Tipo_De_Fianza LIKE '%$Buscar%' || Tarifa LIKE '%$Buscar%' || Gastos_De_Expedicion LIKE '%$Buscar%' || Gastos_De_Consulta_Buro_Credito LIKE '%$Buscar%' ORDER BY Id_Tipo_De_Fianza DESC";

            }

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_tipo_de_fianza($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM tipo_de_fianza WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Tipo_De_Fianza DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_tipo_de_fianza($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_tipo_de_fianza($Field,$Value,$Id_Tipo_De_Fianza)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Valueinto=strtoupper($Value);

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE tipo_de_fianza SET $Field='$Valueinto' WHERE Id_Tipo_De_Fianza= '$Id_Tipo_De_Fianza'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='tipo_de_fianza';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



        public function update_field_front_tipo_de_fianza($Field,$Value,$Id_Tipo_De_Fianza)

        {

            require_once('../../log/controller/log.php');

            $Obj_log = new log();

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE tipo_de_fianza SET $Field='$Value' WHERE Id_Tipo_De_Fianza= '$Id_Tipo_De_Fianza'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            $_Tabla='tipo_de_fianza';

            $_Evento_Log='editar';

            $_Consulta = '"'.$consulta.'"';

            $Obj_log->insert_log_crud($_Tabla,$_Evento_Log,$_Consulta);

            return $rowaffected;                          

        }



}



?>